Bug Hunting Session
Bug 59611 - UI: Give personas an own entry in Tools Menu
Summary: UI: Give personas an own entry in Tools Menu
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Firefox-Themes
  Show dependency treegraph
 
Reported: 2013-01-20 02:50 UTC by Marc Pare
Modified: 2017-06-22 11:38 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
breve offline Personas for LibreOffice (89.37 KB, application/vnd.oasis.opendocument.text)
2017-06-21 14:59 UTC, kavalec74
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Pare 2013-01-20 02:50:32 UTC
I would like to suggest that we move the personas in the Tools->Options section and place it as a button on the Tools menu. This will allow users to personalize their own LibreOffice look more like what they want without having to search for the function.
Comment 1 Marc Pare 2013-01-20 02:51:55 UTC
Sorry, I should have added, a nice place for it would be under the Gallery link.

Marc :-)
Comment 2 Joel Madero 2013-01-27 18:17:20 UTC
Kendy - I think this is your area? Do we need to get UX involved?
Comment 3 Michael Meeks 2013-02-05 12:05:57 UTC
confirming - it's certainly a request for an enhancement ;-) to get it off the unconfirmed list [ hope that's the right thing to do ].
Comment 4 Jean-Baptiste Faure 2013-12-13 16:03:32 UTC
Is this enhancement still relevant?

Personas / Firefox themes are in an easy to find option dialog. I propose to close this enhancement as WONTFIX. What do you think?

Best regards. JBF
Comment 5 Marc Pare 2013-12-13 16:26:31 UTC
I still think that it would be best put in a more logical place where users would be able to find it. Even if it were put in the "Tools->Customize". Actually, when using the FR interface, "Customize" was translated to "Personalize" which is even more appealing a place to put the personas tool.

We need to make this fun and sexy tool more accessible to users so that they can start "trading" their personal fravorite personas with each other. I must say that now that I look at the EN interface, I am not so sure if the "Customize" word should be better changed to "Personalize" as that section is all about personalizing your LibreOffice to the way that you want it to work. I like the FR translation better.


Frankly, we should even be talking about this more about the trading and people's favorite personas on the users lists so that we can create a culture of personas trading with our suite -- this make our suite really fun and sexy to use.

Marc
Comment 6 Peter Maunder 2013-12-13 17:46:28 UTC
I am an enthusiastic user of Personas, but create and use them for our home use.

Firefox and Thunderbird allow a user to add a user's own Personas without going through the hassle of using the Personas Theme Website, just like changing the desktop background. 
CUSTOM PERSONAS > EDIT > Header, Footer filename, Text Accent Colours.

For example, my wife likes to have a choice of her own current textile fabric design. this is easy and fun with Firefox / Thunderbird but need me to copy and rename files for LibO as it is not simple.
Some companies are also careful about in-house themes being kept in-house. 

I do not know whether it would be simple to enhance your current support to add this feature, but I believe it would add to the fun of using Personas, and hence the human face of LibO.
Comment 7 Peter Maunder 2014-11-01 09:41:48 UTC
With the new changes to Persona support in 4.4.0.0 I think it is a good time to re-focus on the benefits of adding support for managing Persona directly on LibreOffice just as you can with Firefox and Thunderbird in addition to the on-line Firefox support currently provided.

This would allow both private and business users to personalise their LibO, adding that little bit of glitter to LibO. In the same way that a desktop with your own image is yours rather than some background provided by the system.

I personally do not download any Persona from the system as I use my own. So I have to go through the hassle of downloading an unwanted persona from Firefox when I install LibreOffice on a friends system and then modify the .xcu file. This takes away the easy to install look for LibO... I realise we may just be a minority, but who knows..Peter
Comment 8 Cor Nouws 2014-12-23 21:20:16 UTC
clarify summary - set to ux-advice
Comment 9 Heiko Tietze 2016-08-07 08:46:14 UTC
FF/TB allow to modify the theme via tools > addons > appearance (or <hamburger> customize > themes), and perhaps also more directly per third-party tools. We are very close with tool > personalization. Having an extension is however a nice idea.

The menu is vast and makes it sometimes hard to find the right function. Adding more features, that additionally are very rarely used, is counterproductive.

This ticket is open for years and there was not much interest.

Three arguments to close as WONTFIX.
Comment 10 kavalec74 2017-06-17 04:11:28 UTC
Yes, please do this. :) I agree absolutely.

How and where can I edit the mensioned .xcu file?
Comment 11 Heiko Tietze 2017-06-17 07:45:45 UTC
(In reply to kavalec74 from comment #10)
> Yes, please do this. :) I agree absolutely.

Yes to the request or to the last comment and close the ticket? ;-)

> How and where can I edit the mensioned .xcu file?

Customization is done via Tools > Customize... > Menu, and once you have done it the file menubar.xml under <user>/libreoffice/4/user/config/soffice.cfg/modules/swriter/menubar/ is your local configuration of menus.
Comment 12 Peter Maunder 2017-06-17 10:18:11 UTC
I have documented how to manage an in-house Personas and change the menu colours using expert mode. The information is found on bug 93599 with attachment 127480 [details].

I realise that there is little interest in adding this function to regular LibO, but I hope this documentation may help some people..
Comment 13 Heiko Tietze 2017-06-17 10:31:18 UTC
(In reply to Peter Maunder from comment #12)
> I have documented how to manage an in-house Personas and change the menu
> colours using expert mode. The information is found on bug 93599 with
> attachment 127480 [details].

Nice how-to but somewhat hidden in Bugzilla. Do you want to publish it on a different place like the LibreOffice Wiki. I could also imagine a guess contribution on the design blog, if you don't have an own blog.
Comment 14 Peter Maunder 2017-06-18 16:15:21 UTC
(In reply to Heiko Tietze from comment #13)
> 
> Nice how-to but somewhat hidden in Bugzilla. Do you want to publish it on a
> different place like the LibreOffice Wiki. I could also imagine a guess
> contribution on the design blog, if you don't have an own blog.

Thanks for the comment. I am very happy to make the document more widely available on the Wiki or design blog. I don't have my own blog and am not certain how to go about adding a reference.
Comment 15 kavalec74 2017-06-21 14:59:44 UTC
Created attachment 134200 [details]
breve offline Personas for LibreOffice

Hi there, check my small work. :)